OpenAFP-1.3.2: IBM AFP document format parser and generator

Safe Haskell | None

OpenAFP.Internals.Binary

# Documentation

data N0

Constructors

N0 |

Instances

Bounded N0 |
Enum N0 |
Eq N0 |
Num N0 |
Ord N0 |
Show N0 |
Ix N0 |
Typeable N0 |
Binary N0 |

newtype N1

Constructors

N1 |
Fields fromN1 :: Word8

Instances

Bounded N1 |
Enum N1 |
Eq N1 |
Integral N1 |
Num N1 |
Ord N1 |
Real N1 |
Show N1 |
Ix N1 |
Typeable N1 |
Storable N1 |
Bits N1 |
Binary N1 |
Rec N1 |
IArray UArray N1 |

newtype N2

Constructors

N2 |
Fields fromN2 :: Word16

Instances

Bounded N2 |
Enum N2 |
Eq N2 |
Integral N2 |
Num N2 |
Ord N2 |
Real N2 |
Show N2 |
Typeable N2 |
Storable N2 |
Bits N2 |
Binary N2 |

newtype N3

Constructors

N3 |
Fields fromN3 :: Word32

Instances

Bounded N3 |
Enum N3 |
Eq N3 |
Integral N3 |
Num N3 |
Ord N3 |
Real N3 |
Show N3 |
Typeable N3 |
Storable N3 |
Bits N3 |
Binary N3 |

newtype N4

Constructors

N4 |
Fields fromN4 :: Word32

Instances

Bounded N4 |
Enum N4 |
Eq N4 |
Integral N4 |
Num N4 |
Ord N4 |
Real N4 |
Show N4 |
Typeable N4 |
Storable N4 |
Bits N4 |
Binary N4 |

newtype I1

Constructors

I1 Int8 |

Instances

Enum I1 |
Eq I1 |
Integral I1 |
Num I1 |
Ord I1 |
Real I1 |
Show I1 |
Ix I1 |
Typeable I1 |
Storable I1 |
Bits I1 |
Binary I1 |
IArray UArray I1 |

newtype I2

Constructors

I2 Int16 |

Instances

Enum I2 |
Eq I2 |
Integral I2 |
Num I2 |
Ord I2 |
Real I2 |
Show I2 |
Ix I2 |
Typeable I2 |
Storable I2 |
Bits I2 |
Binary I2 |
IArray UArray I2 |

newtype I4

Constructors

I4 Int32 |

Instances

Enum I4 |
Eq I4 |
Integral I4 |
Num I4 |
Ord I4 |
Real I4 |
Show I4 |
Ix I4 |
Typeable I4 |
Storable I4 |
Bits I4 |
Binary I4 |
IArray UArray I4 |

newtype I8

Constructors

I8 Int64 |

Instances

Enum I8 |
Eq I8 |
Integral I8 |
Num I8 |
Ord I8 |
Real I8 |
Show I8 |
Ix I8 |
Typeable I8 |
Storable I8 |
Bits I8 |
Binary I8 |
IArray UArray I8 |

newtype A1

Constructors

A1 Word8 |

Instances

Bounded A1 |
Enum A1 |
Eq A1 |
Integral A1 |
Num A1 |
Ord A1 |
Real A1 |
Show A1 |
Typeable A1 |
Storable A1 |
Bits A1 |
Binary A1 |

newtype A2

Constructors

A2 Word16 |

Instances

Bounded A2 |
Enum A2 |
Eq A2 |
Integral A2 |
Num A2 |
Ord A2 |
Real A2 |
Show A2 |
Typeable A2 |
Storable A2 |
Bits A2 |
Binary A2 |

newtype A3

Constructors

A3 Word32 |

Instances

Bounded A3 |
Enum A3 |
Eq A3 |
Integral A3 |
Num A3 |
Ord A3 |
Real A3 |
Show A3 |
Typeable A3 |
Storable A3 |
Bits A3 |
Binary A3 |

newtype A4

Constructors

A4 Word32 |

Instances

Bounded A4 |
Enum A4 |
Eq A4 |
Integral A4 |
Num A4 |
Ord A4 |
Real A4 |
Show A4 |
Typeable A4 |
Storable A4 |
Bits A4 |
Binary A4 |

newtype A6

Constructors

A6 Word64 |

Instances

Bounded A6 |
Enum A6 |
Eq A6 |
Integral A6 |
Num A6 |
Ord A6 |
Real A6 |
Show A6 |
Typeable A6 |
Storable A6 |
Bits A6 |
Binary A6 |

newtype A8

Constructors

A8 Word64 |

Instances

Bounded A8 |
Enum A8 |
Eq A8 |
Integral A8 |
Num A8 |
Ord A8 |
Real A8 |
Show A8 |
Typeable A8 |
Storable A8 |
Bits A8 |
Binary A8 |

newtype A12

Constructors

A12 Integer |

Instances

Bounded A12 |
Enum A12 |
Eq A12 |
Integral A12 |
Num A12 |
Ord A12 |
Real A12 |
Show A12 |
Typeable A12 |
Storable A12 |
Bits A12 |
Binary A12 |

type PStringLen = ByteString

getList :: Binary a => Get [a]

putList :: Binary a => [a] -> Put

encodeList :: Binary a => [a] -> ByteString

decodeList :: Binary a => ByteString -> [a]

encodeListFile :: Binary a => FilePath -> [a] -> IO ()

decodeListFile :: Binary a => FilePath -> IO [a]

module Data.Binary

module Data.ByteString.Internal